import { ReactElement } from 'react';
export interface Mapper<T> {
    <U>(value: T): U;
    <U>(value: T, key: number): U;
    <U>(value: T, key: number, target: T[]): U;
}
/**
 * Render the result of dispatching to the `map` method of `target`
 * passing the `with` function as the first argument.
 */
export declare function Map<T>({ target, 'with': _with }: {
    target: T[];
    with: Mapper<T>;
}): ReactElement<any>;
